> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supadata.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Extract Result

> Get results for an extract job by job ID.



## OpenAPI

````yaml v1-openapi GET /extract/{jobId}
openapi: 3.1.0
info:
  title: Supadata
  description: Web & Social Media Content API for Developers
  version: 1.3.0
servers:
  - url: https://api.supadata.ai/v1
security:
  - apiKeyAuth: []
paths:
  /extract/{jobId}:
    get:
      tags:
        - Extract
      summary: Get extract job status
      description: Get results for an extract job by job ID.
      operationId: getExtractByJobId
      parameters:
        - schema:
            type: string
          in: path
          name: jobId
          required: true
      responses:
        '200':
          description: Extract job result.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExtractJobResult'
        '400':
          description: Invalid Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ExtractJobResult:
      type: object
      properties:
        status:
          type: string
          enum:
            - queued
            - active
            - completed
            - failed
          description: Current status of the job
          example: completed
        error:
          oneOf:
            - $ref: '#/components/schemas/Error'
            - type: 'null'
          description: Error information if the job failed
        data:
          type: object
          additionalProperties: {}
          description: Extracted data from the video, structured according to the schema
          example:
            topics:
              - AI basics
              - Machine learning
              - Neural networks
            summary: An introduction to artificial intelligence concepts
        schema:
          type: object
          additionalProperties: {}
          description: >-
            JSON Schema generated by AI. Only present when no schema was
            provided in the request.
          example:
            type: object
            properties:
              topics:
                type: array
                items:
                  type: string
              summary:
                type: string
            required:
              - topics
              - summary
      required:
        - status
      description: Response for extract job status/results
    Error:
      type: object
      properties:
        error:
          type: string
          enum:
            - invalid-request
            - internal-error
            - forbidden
            - unauthorized
            - upgrade-required
            - transcript-unavailable
            - not-found
            - limit-exceeded
          description: Error code identifying the type of error
          example: invalid-request
        message:
          type: string
          description: Human readable error message
          example: Invalid Request
        details:
          type: string
          description: Detailed error description
          example: The request is invalid or malformed
        documentationUrl:
          type: string
          description: URL to error documentation
          example: https://supadata.ai/documentation/errors#invalid-request
      required:
        - error
        - message
        - details
      description: Standard error response format
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````